@import '../../../styles.scss';

.container {
  width: 100%;
  max-width: 1366px;
  margin: auto;
  padding: 64px 5% 8px;
  box-sizing: border-box;
}

.title {
  font-size: 3em;
  margin: 24px auto;
}

.recetas-grid {
  @include flex;
  margin: auto;

  app-receta {
    width: 100%;
  }
}

@media screen and (min-width: 600px) {
  .recetas-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 4em;
  }
}

@media screen and (min-width: 900px) {

  .container {
      padding-top: 128px;
  }

  .recetas-grid {
    grid-template-columns: 1fr 1fr 1fr;
  }

  .title {
    font-weight: bold;
  }
}

@media screen and (min-width: 1200px) {
  .recetas-grid {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
}
